diff --git a/ProcessHacker/memprv.c b/ProcessHacker/memprv.c
index d2d3e1729d7e..deb1b81cde6c 100644
--- a/ProcessHacker/memprv.c
+++ b/ProcessHacker/memprv.c
@@ -251,7 +251,7 @@ VOID PhpUpdateHeapRegions(
 
     status = PhOpenProcess(
         &processHandle,
-        PROCESS_CREATE_THREAD | PROCESS_VM_OPERATION | PROCESS_DUP_HANDLE | PROCESS_QUERY_INFORMATION | PROCESS_SET_LIMITED_INFORMATION,
+        PROCESS_CREATE_THREAD | PROCESS_VM_OPERATION | PROCESS_DUP_HANDLE | PROCESS_SET_LIMITED_INFORMATION,
         List->ProcessId
         );
 
@@ -261,7 +261,7 @@ VOID PhpUpdateHeapRegions(
     if (WindowsVersion >= WINDOWS_10)
         PhCreateExecutionRequiredRequest(processHandle, &powerRequestHandle);
 
-    // NOTE: RtlQueryProcessDebugInformation injects a thread into the process and causing deadlocks and other issues in rare cases.
+    // NOTE: RtlQueryProcessDebugInformation injects a thread into the process causing deadlocks and other issues in rare cases.
     // We mitigate these problems by reflecting the process and querying heap information from the clone. (dmex)
 
     memset(&reflectionInfo, 0, sizeof(RTLP_PROCESS_REFLECTION_REFLECTION_INFORMATION));
diff --git a/phlib/native.c b/phlib/native.c
index 696ab6b2a14c..07fafc51e13b 100644
--- a/phlib/native.c
+++ b/phlib/native.c
@@ -10321,14 +10321,14 @@ NTSTATUS PhQueryProcessHeapInformation(
 
     status = PhOpenProcess(
         &processHandle,
-        PROCESS_CREATE_THREAD | PROCESS_VM_OPERATION | PROCESS_DUP_HANDLE | PROCESS_QUERY_INFORMATION | PROCESS_SET_LIMITED_INFORMATION,
+        PROCESS_CREATE_THREAD | PROCESS_VM_OPERATION | PROCESS_DUP_HANDLE,
         ProcessId
         );
 
     if (!NT_SUCCESS(status))
         return status;
 
-    // NOTE: RtlQueryProcessDebugInformation injects a thread into the process and causing deadlocks and other issues in rare cases.
+    // NOTE: RtlQueryProcessDebugInformation injects a thread into the process causing deadlocks and other issues in rare cases.
     // We mitigate these problems by reflecting the process and querying heap information from the clone. (dmex)
 
     memset(&reflectionInfo, 0, sizeof(RTLP_PROCESS_REFLECTION_REFLECTION_INFORMATION));
